Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.openal
Class AL11

    java.lang.Object
      org.lwjgl.openal.AL11

    public final class AL11

extends java.lang.Object

Field Summary
`static int` | `AL_BYTE_OFFSET` Source buffer position information in bytes
`static int` | `AL_EXPONENT_DISTANCE`
`static int` | `AL_EXPONENT_DISTANCE_CLAMPED`
`static int` | `AL_ILLEGAL_COMMAND`
`static int` | `AL_LINEAR_DISTANCE`
`static int` | `AL_LINEAR_DISTANCE_CLAMPED`
`static int` | `AL_SAMPLE_OFFSET` Source buffer position information in samples
`static int` | `AL_SEC_OFFSET` Source buffer position information in seconds
`static int` | `AL_SPEED_OF_SOUND` Speed of Sound in units per second
`static int` | `AL_STATIC` Type of source: Buffer has been attached using AL_BUFFER
`static int` | `AL_STREAMING` Type of source: if one or more Buffers have been attached using alSourceQueueBuffers
`static int` | `AL_UNDETERMINED` Type of source: when it has the NULL buffer attached

Method Summary
`static void` | `alBuffer(int buffer, int pname, java.nio.FloatBuffer value)` This function sets a floating point property of a buffer.
`static void` | `alBuffer(int buffer, int pname, java.nio.IntBuffer value)` This function sets an integer property of a buffer.
`static void` | `alBuffer3f(int buffer, int pname, float v1, float v2, float v3)` This function sets a floating point property of a buffer.
`static void` | `alBuffer3i(int buffer, int pname, int v1, int v2, int v3)` This function sets an integer property of a buffer.
`static void` | `alBufferf(int buffer, int pname, float value)` This function sets a floating point property of a buffer.
`static void` | `alBufferi(int buffer, int pname, int value)` This function sets an integer property of a buffer.
`static void` | `alGetBuffer(int buffer, int pname, java.nio.FloatBuffer values)` This function retrieves a floating point property of a buffer.
`static void` | `alGetBuffer(int buffer, int pname, java.nio.IntBuffer values)` This function retrieves an integer property of a buffer.
`static float` | `alGetBufferf(int buffer, int pname)` This function retrieves a floating point property of a buffer.
`static int` | `alGetBufferi(int buffer, int pname)` This function retrieves an integer property of a buffer.
`static void` | `alGetListeneri(int pname, java.nio.FloatBuffer intdata)` Listener state is maintained inside the AL implementation and can be queried in full.
`static void` | `alListener3i(int pname, int v1, int v2, int v3)` Listener attributes are changed using the Listener group of commands.
`static void` | `alSource(int source, int pname, java.nio.IntBuffer value)` Specifies the position and other properties as taken into account during sound processing.
`static void` | `alSource3i(int source, int pname, int v1, int v2, int v3)` Specifies the position and other properties as taken into account during sound processing.
`static void` | `alSpeedOfSound(float value)` AL_SPEED_OF_SOUND allows the application to change the reference (propagation) speed used in the Doppler calculation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AL_SEC_OFFSET

    public static final int AL_SEC_OFFSET

  Source buffer position information in seconds

  See Also:
    Constant Field Values

### AL_SAMPLE_OFFSET

    public static final int AL_SAMPLE_OFFSET

  Source buffer position information in samples

  See Also:
    Constant Field Values

### AL_BYTE_OFFSET

    public static final int AL_BYTE_OFFSET

  Source buffer position information in bytes

  See Also:
    Constant Field Values

### AL_STATIC

    public static final int AL_STATIC

  Type of source: Buffer has been attached using AL_BUFFER

  See Also:
    Constant Field Values

### AL_STREAMING

    public static final int AL_STREAMING

  Type of source: if one or more Buffers have been attached using alSourceQueueBuffers

  See Also:
    Constant Field Values

### AL_UNDETERMINED

    public static final int AL_UNDETERMINED

  Type of source: when it has the NULL buffer attached

  See Also:
    Constant Field Values

### AL_ILLEGAL_COMMAND

    public static final int AL_ILLEGAL_COMMAND

See Also:
  `AL10.AL_INVALID_OPERATION`, Constant Field Values

### AL_SPEED_OF_SOUND

    public static final int AL_SPEED_OF_SOUND

  Speed of Sound in units per second

  See Also:
    Constant Field Values

### AL_LINEAR_DISTANCE

    public static final int AL_LINEAR_DISTANCE

See Also:
  Constant Field Values

### AL_LINEAR_DISTANCE_CLAMPED

    public static final int AL_LINEAR_DISTANCE_CLAMPED

See Also:
  Constant Field Values

### AL_EXPONENT_DISTANCE

    public static final int AL_EXPONENT_DISTANCE

See Also:
  Constant Field Values

### AL_EXPONENT_DISTANCE_CLAMPED

    public static final int AL_EXPONENT_DISTANCE_CLAMPED

See Also:
  Constant Field Values

Method Detail

### alListener3i

    public static void alListener3i(int pname,
                                    int v1,
                                    int v2,
                                    int v3)

  Listener attributes are changed using the Listener group of commands.

  Parameters:
    `pname` - name of the attribute to be set
    `v1` - value value 1
    `v2` - value value 2
    `v3` - value value 3

### alGetListeneri

    public static void alGetListeneri(int pname,
                                      java.nio.FloatBuffer intdata)

  Listener state is maintained inside the AL implementation and can be queried in full.

  Parameters:
    `pname` - name of the attribute to be retrieved
    `intdata` - Buffer to write ints to

### alSource3i

    public static void alSource3i(int source,
                                  int pname,
                                  int v1,
                                  int v2,
                                  int v3)

  Specifies the position and other properties as taken into account during sound processing.

  Parameters:
    `source` - Source to set property on
    `pname` - property to set
    `v1` - value 1 of property
    `v2` - value 2 of property
    `v3` - value 3 of property

### alSource

    public static void alSource(int source,
                                int pname,
                                java.nio.IntBuffer value)

  Specifies the position and other properties as taken into account during sound processing.

  Parameters:
    `source` - Source to set property on
    `pname` - property to set
    `value` - IntBuffer containing value of property

### alBufferf

    public static void alBufferf(int buffer,
                                 int pname,
                                 float value)

  This function sets a floating point property of a buffer. note: There are no relevant buffer properties defined in OpenAL 1.1 which can be affected by this call, but this function may be used by OpenAL extensions.

  Parameters:
    `buffer` - Buffer to set property on
    `pname` - property to set
    `value` - value of property

### alBuffer3f

    public static void alBuffer3f(int buffer,
                                  int pname,
                                  float v1,
                                  float v2,
                                  float v3)

  This function sets a floating point property of a buffer. note: There are no relevant buffer properties defined in OpenAL 1.1 which can be affected by this call, but this function may be used by OpenAL extensions.

  Parameters:
    `buffer` - Buffer to set property on
    `pname` - property to set
    `v1` - value of property
    `v2` - value of property
    `v3` - value of property

### alBuffer

    public static void alBuffer(int buffer,
                                int pname,
                                java.nio.FloatBuffer value)

  This function sets a floating point property of a buffer. note: There are no relevant buffer properties defined in OpenAL 1.1 which can be affected by this call, but this function may be used by OpenAL extensions.

  Parameters:
    `buffer` - Buffer to set property on
    `pname` - property to set
    `value` - FloatBuffer containing value of property

### alBufferi

    public static void alBufferi(int buffer,
                                 int pname,
                                 int value)

  This function sets an integer property of a buffer. note: There are no relevant buffer properties defined in OpenAL 1.1 which can be affected by this call, but this function may be used by OpenAL extensions.

  Parameters:
    `buffer` - Buffer to set property on
    `pname` - property to set
    `value` - value of property

### alBuffer3i

    public static void alBuffer3i(int buffer,
                                  int pname,
                                  int v1,
                                  int v2,
                                  int v3)

  This function sets an integer property of a buffer. note: There are no relevant buffer properties defined in OpenAL 1.1 which can be affected by this call, but this function may be used by OpenAL extensions.

  Parameters:
    `buffer` - Buffer to set property on
    `pname` - property to set
    `v1` - value of property
    `v2` - value of property
    `v3` - value of property

### alBuffer

    public static void alBuffer(int buffer,
                                int pname,
                                java.nio.IntBuffer value)

  This function sets an integer property of a buffer. note: There are no relevant buffer properties defined in OpenAL 1.1 which can be affected by this call, but this function may be used by OpenAL extensions.

  Parameters:
    `buffer` - Buffer to set property on
    `pname` - property to set
    `value` - IntBuffer containing value of property

### alGetBufferi

    public static int alGetBufferi(int buffer,
                                   int pname)

  This function retrieves an integer property of a buffer. note: There are no relevant buffer properties defined in OpenAL 1.1 which can be affected by this call, but this function may be used by OpenAL extensions.

  Parameters:
    `buffer` - Buffer to get property from
    `pname` - name of property
  Returns:
    int

### alGetBuffer

    public static void alGetBuffer(int buffer,
                                   int pname,
                                   java.nio.IntBuffer values)

  This function retrieves an integer property of a buffer.

  Parameters:
    `buffer` - Buffer to get property from
    `pname` - name of property

### alGetBufferf

    public static float alGetBufferf(int buffer,
                                     int pname)

  This function retrieves a floating point property of a buffer. note: There are no relevant buffer properties defined in OpenAL 1.1 which can be affected by this call, but this function may be used by OpenAL extensions.

  Parameters:
    `buffer` - Buffer to get property from
    `pname` - name of property
  Returns:
    floating point property

### alGetBuffer

    public static void alGetBuffer(int buffer,
                                   int pname,
                                   java.nio.FloatBuffer values)

  This function retrieves a floating point property of a buffer. note: There are no relevant buffer properties defined in OpenAL 1.1 which can be affected by this call, but this function may be used by OpenAL extensions.

  Parameters:
    `buffer` - Buffer to get property from
    `pname` - name of property

### alSpeedOfSound

    public static void alSpeedOfSound(float value)

  AL_SPEED_OF_SOUND allows the application to change the reference (propagation) speed used in the Doppler calculation. The source and listener velocities should be expressed in the same units as the speed of sound.

  A negative or zero value will result in an AL_INVALID_VALUE error, and the command is ignored. The default value is 343.3 (appropriate for velocity units of meters and air as the propagation medium). The current setting can be queried using alGetFloat{v} and AL_SPEED_OF_SOUND. Distance and velocity units are completely independent of one another (so you could use different units for each if desired).

  Parameters:
    `value` - distance model to be set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.